# get

## HTTP Request

```http
GET /workflows/:workflowReference/dataSources/:dataSourceReference
```

## Path parameters

| Parameter           |                                                                                                                                                               |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| workflowReference   | A qualified reference to the workflow. See [referencing resources](/api/referencing-resources.md) for more information.                                       |
| dataSourceReference | <p>A qualified reference to the dataSource's current source dataset or workflow.<br><br>Alternatively, can provide the <code>id</code> of the dataSource.</p> |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Read access to the workflow is required. If the workflow is not public, your access token must have one of the following scopes:

* workflow\.read

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of a [dataSource resource](/api/resource-definitions/datasource.md).

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
# Get the dataSource at https://redivis.com/workflows/x7kh-5pvd4mbf1/dataSources/f3st-1yxmt4nsf
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/workflows/imathews.example_worfklow_climate_analysis:x7kh/dataSources/f3st-1yxmt4nsf"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/datasources/get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
